uses
	sysutils;

const
	maxn = 2000;

var
	i, n, j: longint;
	x, y: array [1..maxn] of longint;
	exist: boolean;
	minc, maxc: longint;

begin
	randseed := 0;
	randomize;
	writeln(erroutput, randseed);

	n := 300;
	for i := 1 to n do begin
		x[i] := i;
		y[i] := 0;
	end;

	writeln(n);
	for i := 1 to n do begin
		writeln(x[i], ' ', y[i]);
	end;
end.